{
  "caseType": {
    "table_key": [
      {
        "ruleName": "检测表字段是否一致",
        "ruleSourceName": "综合服务",
        "ruleTableName": "全表",
        "version": "1.0",
        "checkTotalCount": "78",
        "checkErrorCount": "1"
      },
      {
        "ruleName": "检测表字段名是否与标准一致",
        "ruleSourceName": "智瑞服务",
        "ruleTableName": "全表",
        "version": "1.0",
        "checkTotalCount": "449",
        "checkErrorCount": "4"
      }
    ],
    "no_table_key": [
      {
        "caseName": "检测表字段是否一致",
        "source": "综合服务",
        "tableName": "TABLE_A",
        "trueTableName": "TABLE_A",
        "standardTableName": "TABLE_A",
        "trueColumn": "column_AAA",
        "standardColumn": "column_AAC",
        "notDetail": "字段名与标准不一致"
      },
      {
        "caseName": "检测表字段是否一致",
        "source": "智瑞服务",
        "tableName": "TABLE_D",
        "trueTableName": "TABLE_D",
        "standardTableName": "TABLE_K",
        "trueColumn": "",
        "standardColumn": "",
        "notDetail": "表名与标准不一致"
      },
      {
        "caseName": "检测表字段名是否与标准一致",
        "source": "智瑞服务",
        "tableName": "TABLE_E",
        "trueTableName": "TABLE_E",
        "standardTableName": "TABLE_E",
        "trueColumn": "columnE",
        "standardColumn": "column_E",
        "notDetail": "字段名与标准不一致"
      },
      {
        "caseName": "表字段标准检测用例",
        "source": "智瑞服务",
        "tableName": "TABLE_F",
        "trueTableName": "TABLE_F",
        "standardTableName": "TABLE_F",
        "trueColumn": "columnF",
        "standardColumn": "column_F",
        "notDetail": "字段名与标准不一致"
      },
      {
        "caseName": "表字段标准检测用例",
        "source": "智瑞服务",
        "tableName": "TABLE_G",
        "trueTableName": "TABLE_G",
        "standardTableName": "TABLE_G",
        "trueColumn": "columnG",
        "standardColumn": "column_G",
        "notDetail": "字段名与标准不一致"
      }
    ],
    "length_key": [
      {
        "ruleName": "检测字段长度是否符合约束",
        "ruleSourceName": "综合服务",
        "ruleTableName": "全表",
        "version": "1.0",
        "checkTotalCount": "78",
        "checkErrorCount": "0"
      },{
        "ruleName": "检测字段长度是否符合标准约束",
        "ruleSourceName": "智瑞服务",
        "ruleTableName": "全表",
        "version": "1.0",
        "checkTotalCount": "449",
        "checkErrorCount": "10"
      }
    ],
    "no_length_key": [
      {
        "caseName": "检测字段长度是否符合标准约束",
        "source": "智瑞服务",
        "tableName": "TABLE_A",
        "standardColumn": "column_C",
        "standardLength": "200",
        "trueLength": "2000",
        "notDetail": "字段长度不符合标准约束"
      },{
        "caseName": "检测字段长度是否符合标准约束",
        "source": "智瑞服务",
        "tableName": "TABLE_B",
        "standardColumn": "column_C",
        "standardLength": "100",
        "trueLength": "150",
        "notDetail": "字段长度不符合标准约束"
      },{
        "caseName": "检测字段长度是否符合标准约束",
        "source": "智瑞服务",
        "tableName": "TABLE_C",
        "standardColumn": "column_C",
        "standardLength": "200",
        "trueLength": "4000",
        "notDetail": "字段长度不符合标准约束"
      },{
        "caseName": "检测字段长度是否符合标准约束",
        "source": "智瑞服务",
        "tableName": "TABLE_D",
        "standardColumn": "column_C",
        "standardLength": "200",
        "trueLength": "2000",
        "notDetail": "字段长度不符合标准约束"
      },{
        "caseName": "检测字段长度是否符合标准约束",
        "source": "智瑞服务",
        "tableName": "TABLE_E",
        "standardColumn": "column_C",
        "standardLength": "200",
        "trueLength": "2000",
        "notDetail": "字段长度不符合标准约束"
      },{
        "caseName": "检测字段长度是否符合标准约束",
        "source": "智瑞服务",
        "tableName": "TABLE_F",
        "standardColumn": "column_C",
        "standardLength": "200",
        "trueLength": "2000",
        "notDetail": "字段长度不符合标准约束"
      },{
        "caseName": "检测字段长度是否符合标准约束",
        "source": "智瑞服务",
        "tableName": "TABLE_G",
        "standardColumn": "column_C",
        "standardLength": "2000",
        "trueLength": "4000",
        "notDetail": "字段长度不符合标准约束"
      },{
        "caseName": "检测字段长度是否符合标准约束",
        "source": "智瑞服务",
        "tableName": "TABLE_H",
        "standardColumn": "column_C",
        "standardLength": "100",
        "trueLength": "150",
        "notDetail": "字段长度不符合标准约束"
      },{
        "caseName": "检测字段长度是否符合标准约束",
        "source": "智瑞服务",
        "tableName": "TABLE_I",
        "standardColumn": "column_C",
        "standardLength": "200",
        "trueLength": "2000",
        "notDetail": "字段长度不符合标准约束"
      },{
        "caseName": "检测字段长度是否符合标准约束",
        "source": "智瑞服务",
        "tableName": "TABLE_J",
        "standardColumn": "column_C",
        "standardLength": "200",
        "trueLength": "2000",
        "notDetail": "字段长度不符合标准约束"
      }
    ],
    "pk_key": [
      {
        "ruleName": "检测字段是否主键符合标准约束",
        "ruleSourceName": "综合服务",
        "ruleTableName": "全表",
        "version": "1.0",
        "checkTotalCount": "78",
        "checkErrorCount": "8"
      },{
        "ruleName": "检测字段是否主键符合标准约束",
        "ruleSourceName": "智瑞服务",
        "ruleTableName": "全表",
        "version": "1.0",
        "checkTotalCount": "449",
        "checkErrorCount": "5"
      }

    ],
    "no_pk_key": [
      {
        "caseName": "检测字段是否主键符合标准约束",
        "source": "智瑞服务",
        "tableName": "TABLE_A",
        "standardColumn": "column_AAA",
        "trueColumn": "column_AAA",
        "truePk": "是",
        "notDetail": "表字段不符合主键标准约束",
        "standardPk": "否"
      },
      {
        "caseName": "检测字段是否主键符合标准约束",
        "source": "智瑞服务",
        "tableName": "TABLE_W",
        "standardColumn": "column_AAA",
        "trueColumn": "column_AAA",
        "truePk": "否",
        "notDetail": "表字段不符合主键标准约束",
        "standardPk": "是"
      },{
        "caseName": "检测字段是否主键符合标准约束",
        "source": "智瑞服务",
        "tableName": "TABLE_Q",
        "standardColumn": "column_AAA",
        "trueColumn": "column_AAA",
        "truePk": "是",
        "notDetail": "表字段不符合主键标准约束",
        "standardPk": "否"
      },
      {
        "caseName": "检测字段是否主键符合标准约束",
        "source": "智瑞服务",
        "tableName": "TABLE_E",
        "standardColumn": "column_AAA",
        "trueColumn": "column_AAA",
        "truePk": "否",
        "notDetail": "表字段不符合主键标准约束",
        "standardPk": "是"
      },{
        "caseName": "检测字段是否主键符合标准约束",
        "source": "智瑞服务",
        "tableName": "TABLE_R",
        "standardColumn": "column_AAA",
        "trueColumn": "column_AAA",
        "truePk": "是",
        "notDetail": "表字段不符合主键标准约束",
        "standardPk": "否"
      },
      {
        "caseName": "检测字段是否主键符合标准约束",
        "source": "数据平台",
        "tableName": "TABLE_A",
        "standardColumn": "column_AAA",
        "trueColumn": "column_AAA",
        "truePk": "否",
        "notDetail": "表字段不符合主键标准约束",
        "standardPk": "是"
      },{
        "caseName": "检测字段是否主键符合标准约束",
        "source": "数据平台",
        "tableName": "TABLE_D",
        "standardColumn": "column_AAA",
        "trueColumn": "column_AAA",
        "truePk": "是",
        "notDetail": "表字段不符合主键标准约束",
        "standardPk": "否"
      },
      {
        "caseName": "检测字段是否主键符合标准约束",
        "source": "数据平台",
        "tableName": "TABLE_W",
        "standardColumn": "column_AAA",
        "trueColumn": "column_AAA",
        "truePk": "否",
        "notDetail": "表字段不符合主键标准约束",
        "standardPk": "是"
      },{
        "caseName": "检测字段是否主键符合标准约束",
        "source": "数据平台",
        "tableName": "TABLE_G",
        "standardColumn": "column_AAA",
        "trueColumn": "column_AAA",
        "truePk": "是",
        "notDetail": "表字段不符合主键标准约束",
        "standardPk": "否"
      },
      {
        "caseName": "检测字段是否主键符合标准约束",
        "source": "数据平台",
        "tableName": "TABLE_L",
        "standardColumn": "column_AAA",
        "trueColumn": "column_AAA",
        "truePk": "否",
        "notDetail": "表字段不符合主键标准约束",
        "standardPk": "是"
      },{
        "caseName": "检测字段是否主键符合标准约束",
        "source": "数据平台",
        "tableName": "TABLE_P",
        "standardColumn": "column_AAA",
        "trueColumn": "column_AAA",
        "truePk": "是",
        "notDetail": "表字段不符合主键标准约束",
        "standardPk": "否"
      },
      {
        "caseName": "检测字段是否主键符合标准约束",
        "source": "数据平台",
        "tableName": "TABLE_U",
        "standardColumn": "column_AAA",
        "trueColumn": "column_AAA",
        "truePk": "否",
        "notDetail": "表字段不符合主键标准约束",
        "standardPk": "是"
      },{
        "caseName": "检测字段是否主键符合标准约束",
        "source": "数据平台",
        "tableName": "TABLE_M",
        "standardColumn": "column_AAA",
        "trueColumn": "column_AAA",
        "truePk": "是",
        "notDetail": "表字段不符合主键标准约束",
        "standardPk": "否"
      }
    ],
    "null_key": [
      {
        "ruleName": "检测字段空值是否符合标准约束",
        "ruleSourceName": "智瑞服务",
        "ruleTableName": "全表",
        "version": "1.0",
        "checkTotalCount": "449",
        "checkErrorCount": "9"
      },{
        "ruleName": "检测字段空值是否符合标准约束",
        "ruleSourceName": "综合服务",
        "ruleTableName": "全表",
        "version": "1.0",
        "checkTotalCount": "78",
        "checkErrorCount": "0"
      }
    ],
    "no_null_key": [
      {
        "caseName": "检测字段空值是否符合标准约束",
        "source": "智瑞服务",
        "tableName": "TABLE_A",
        "standardColumn": "column_AAA",
        "trueColumn": "column_AAA",
        "trueNull": "是",
        "notDetail": "表字段不符合空值校验",
        "standardNull": "否"
      },
      {
        "caseName": "检测字段空值是否符合标准约束",
        "source": "智瑞服务",
        "tableName": "TABLE_B",
        "standardColumn": "column_BBB",
        "trueColumn": "column_BBB",
        "trueNull": "否",
        "notDetail": "表字段不符合空值校验",
        "standardNull": "是"
      },{
        "caseName": "检测字段空值是否符合标准约束",
        "source": "智瑞服务",
        "tableName": "TABLE_Y",
        "standardColumn": "column_AAA",
        "trueColumn": "column_AAA",
        "trueNull": "是",
        "notDetail": "表字段不符合空值校验",
        "standardNull": "否"
      },
      {
        "caseName": "检测字段空值是否符合标准约束",
        "source": "智瑞服务",
        "tableName": "TABLE_W",
        "standardColumn": "column_BBB",
        "trueColumn": "column_BBB",
        "trueNull": "否",
        "notDetail": "表字段不符合空值校验",
        "standardNull": "是"
      },{
        "caseName": "检测字段空值是否符合标准约束",
        "source": "智瑞服务",
        "tableName": "TABLE_H",
        "standardColumn": "column_AAA",
        "trueColumn": "column_AAA",
        "trueNull": "是",
        "notDetail": "表字段不符合空值校验",
        "standardNull": "否"
      },
      {
        "caseName": "检测字段空值是否符合标准约束",
        "source": "智瑞服务",
        "tableName": "TABLE_UU",
        "standardColumn": "column_BBB",
        "trueColumn": "column_BBB",
        "trueNull": "否",
        "notDetail": "表字段不符合空值校验",
        "standardNull": "是"
      },{
        "caseName": "检测字段空值是否符合标准约束",
        "source": "智瑞服务",
        "tableName": "TABLE_QQ",
        "standardColumn": "column_AAA",
        "trueColumn": "column_AAA",
        "trueNull": "是",
        "notDetail": "表字段不符合空值校验",
        "standardNull": "否"
      },
      {
        "caseName": "检测字段空值是否符合标准约束",
        "source": "智瑞服务",
        "tableName": "TABLE_PP",
        "standardColumn": "column_BBB",
        "trueColumn": "column_BBB",
        "trueNull": "否",
        "notDetail": "表字段不符合空值校验",
        "standardNull": "是"
      },{
        "caseName": "检测字段空值是否符合标准约束",
        "source": "智瑞服务",
        "tableName": "TABLE_K",
        "standardColumn": "column_BBB",
        "trueColumn": "column_BBB",
        "trueNull": "否",
        "notDetail": "表字段不符合空值校验",
        "standardNull": "是"
      }
    ],
    "fk_key": [
      {
        "ruleName": "检测字段外键是否符合标准约束",
        "ruleSourceName": "智瑞服务",
        "ruleTableName": "全表",
        "version": "1.0",
        "checkTotalCount": "449",
        "checkErrorCount": "2"
      },
      {
        "ruleName": "检测字段是否外键符合标准约束",
        "ruleSourceName": "综合服务",
        "ruleTableName": "全表",
        "version": "1.0",
        "checkTotalCount": "78",
        "checkErrorCount": "0"
      }
    ],
    "no_fk_key": [
      {
        "caseName": "检测字段外键是否符合标准约束",
        "source": "智瑞服务",
        "tableName": "TABLE_A",
        "standardColumn": "column_AAA",
        "trueColumn": "column_AAA",
        "trueFk": "是",
        "notDetail": "表字段不符合主键标准约束",
        "standardFk": "否"
      },
      {
        "caseName": "检测字段外键是否符合标准约束",
        "source": "智瑞服务",
        "tableName": "TABLE_B",
        "standardColumn": "column_BBB",
        "trueColumn": "column_BBB",
        "trueFk": "否",
        "notDetail": "表字段不符合外键标准约束",
        "standardFk": "是"
      }
    ]
  },
  "dataReport": {
    "reportTableData1": [
      {
        "ruleSourceId": 1,
        "ruleSourceName": "综合服务",
        "tableSum": "78",
        "tableTime": "3879",
        "ruleLevelName": "1.0",
        "checkErrorCount": 9
      },
      {
        "ruleSourceId": 1,
        "ruleSourceName": "智瑞服务",
        "tableSum": "449",
        "tableTime": "15264",
        "ruleLevelName": "1.0",
        "checkErrorCount": 30
      }
    ],
    "reportTableData2": [
      {
        "checkErrorCount": 5,
        "ruleTypeId": "1",
        "ruleTypeName": "数据平台",
        "ruleLevelName": "中",
        "ruleName": "表字段标准检测"
      },
      {
        "checkErrorCount": 10,
        "ruleTypeId": "1",
        "ruleTypeName": "数据平台",
        "ruleLevelName": "中",
        "ruleName": "长度标准检测"
      },
      {
        "checkErrorCount": 9,
        "ruleTypeId": "1",
        "ruleTypeName": "数据平台",
        "ruleLevelName": "中",
        "ruleName": "空值标准检测"
      },
      {
        "checkErrorCount": 13,
        "ruleTypeId": "1",
        "ruleTypeName": "数据平台",
        "ruleLevelName": "中",
        "ruleName": "主键标准检测"
      },
      {
        "checkErrorCount": 2,
        "ruleTypeId": "1",
        "ruleTypeName": "数据平台",
        "ruleLevelName": "中",
        "ruleName": "外键标准检测"
      }
    ]
  },
  "checkTotalCount": "527",
  "checkTimeConsuming": "19,143",
  "checkErrorCount": "39"
}
